org.apache.solr.client.solrj.response

## Class DelegationTokenResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.DelegationTokenResponse

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DelegationTokenResponse.Cancel, DelegationTokenResponse.Get, DelegationTokenResponse.Renew

    public abstract class DelegationTokenResponse
    extends SolrResponseBase

Delegation Token responses

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DelegationTokenResponse.Cancel`
`static class` `DelegationTokenResponse.Get`
`static class` `DelegationTokenResponse.JsonMapResponseParser` ResponseParser for JsonMaps.
`static class` `DelegationTokenResponse.Renew`

### Constructor Summary

Constructors
Constructor and Description
`DelegationTokenResponse()`

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, setResponse, toString`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`deserialize, serializable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DelegationTokenResponse

    public DelegationTokenResponse()